DELETE
/api/v1/webhooks/{id}تعطيل اشتراك Webhook
النطاق:
webhooks:manageBearer tokenالبيئات
- SANDBOX
- بيئة اختبار محلية أو مصرح بها؛ لا يوجد حاليًا Sandbox عام مستضاف.
- PRODUCTION
https://getsas.xyz/api/v1/webhooks/{id}
الطلب
Headers
| Header | Value | مطلوب |
|---|---|---|
| Authorization | Bearer <ACCESS_TOKEN> | نعم |
المعاملات
| الاسم | المكان | النوع | الوصف |
|---|---|---|---|
| id | path | string · uuid | — |
أمثلة الكود
curl --request DELETE 'https://getsas.xyz/api/v1/webhooks/{id}' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'الاستجابة
200 Subscription disabled
{
"description": "Subscription disabled",
"headers": {
"RateLimit-Limit": {
"$ref": "#/components/headers/RateLimitLimit"
},
"RateLimit-Remaining": {
"$ref": "#/components/headers/RateLimitRemaining"
},
"RateLimit-Reset": {
"$ref": "#/components/headers/RateLimitReset"
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/WebhookDisableResponse"
}
}
}
}الأخطاء
| 400 | Invalid request |
| 401 | Missing or invalid access token |
| 404 | Authenticated webhook subscription was not found for this installation |
| 429 | Fixed-window request limit exceeded for this installation and route key |
| 500 | Internal API failure |
| 503 | Rate-limit service unavailable; request is rejected closed |